Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.util
Class PrintUtil

    java.lang.Object
      com.hp.hpl.jena.util.PrintUtil

    public class PrintUtil

extends java.lang.Object

A collection of small utilites for pretty printing nodes, triples and associated things. The core functionality here is a static prefix map which is preloaded with known prefixes.

updated by Chris March 2004 to use a PrefixMapping rather than the specialised tables.

Version:
  $Revision: 1.22 $ on $Date: 2008/01/02 12:07:44 $
Author:
  Dave Reynolds

Field Summary
`static java.lang.String` | `egNS` Default built in eg namespace used in testing

Constructor Summary
`PrintUtil()`

Method Summary
`static java.lang.String` | `expandQname(java.lang.String uri)` Expand qnames to URIs.
`static void` | `init()` Load built in prefixes.
`static java.lang.String` | `print(Node node)` Return a simplified print string for a Node.
`static java.lang.String` | `print(java.lang.Object obj)` Default print which just uses tostring
`static java.lang.String` | `print(RDFNode node)` Return a simplified print string for an RDFNode.
`static java.lang.String` | `print(Statement stmt)` Return a simplified print string for a statment
`static java.lang.String` | `print(Triple triple)` Return a simplified print string for a Triple
`static java.lang.String` | `print(TriplePattern triple)` Return a simplified print string for a TriplePattern
`static void` | `printIndent(java.io.PrintWriter out, int indent)` Print an n-space indent to the given output stream
`static void` | `printOut(java.util.Iterator it)` Print all the Triple values from a find iterator.
`static void` | `registerPrefix(java.lang.String prefix, java.lang.String namespace)` Register a new prefix/namespace mapping which will be used to shorten the print strings for resources in known namespaces.
`static void` | `registerPrefixMap(java.util.Map map)` Register a set of new prefix/namespace mapping which will be used to shorten the print strings for resources in known namespaces.
`static void` | `removePrefix(java.lang.String prefix)` Remove a registered prefix from the table of known short forms
`static void` | `removePrefixMap(java.util.Map map)` Remove a set of prefix mappings from the table of known short forms

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### egNS

    public static final java.lang.String egNS

  Default built in eg namespace used in testing

  See Also:
    Constant Field Values

Constructor Detail

### PrintUtil

    public PrintUtil()

Method Detail

### init

    public static void init()

  Load built in prefixes.

### registerPrefix

    public static void registerPrefix(java.lang.String prefix,
                                      java.lang.String namespace)

  Register a new prefix/namespace mapping which will be used to shorten the print strings for resources in known namespaces.

### registerPrefixMap

    public static void registerPrefixMap(java.util.Map map)

  Register a set of new prefix/namespace mapping which will be used to shorten the print strings for resources in known namespaces.

### removePrefix

    public static void removePrefix(java.lang.String prefix)

  Remove a registered prefix from the table of known short forms

### removePrefixMap

    public static void removePrefixMap(java.util.Map map)

  Remove a set of prefix mappings from the table of known short forms

### print

    public static java.lang.String print(Node node)

  Return a simplified print string for a Node.

### print

    public static java.lang.String print(RDFNode node)

  Return a simplified print string for an RDFNode.

### print

    public static java.lang.String print(Triple triple)

  Return a simplified print string for a Triple

### print

    public static java.lang.String print(TriplePattern triple)

  Return a simplified print string for a TriplePattern

### print

    public static java.lang.String print(Statement stmt)

  Return a simplified print string for a statment

### print

    public static java.lang.String print(java.lang.Object obj)

  Default print which just uses tostring

### expandQname

    public static java.lang.String expandQname(java.lang.String uri)

  Expand qnames to URIs. If the given URI appears to start with one of the registered prefixes then expand the prefix, otherwise return the original URI

### printIndent

    public static void printIndent(java.io.PrintWriter out,
                                   int indent)

  Print an n-space indent to the given output stream

### printOut

    public static void printOut(java.util.Iterator it)

  Print all the Triple values from a find iterator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP